### Method

# ICalGLib VcardComponent take_property

since: 4.0

#### Declaration [src]

    void
    i_cal_vcard_component_take_property (
      ICalVcardComponent* component,
      ICalVcardProperty* property
    )

#### Description [src]

Adds the `property` into the `component` and unrefs the `property`.

Available since: 4.0

This method is not directly available to language bindings.

#### Parameters

`property`

  Type: `ICalVcardProperty`

  An `ICalVcardProperty`.

  The instance takes ownership of the data, and is responsible for freeing it.